Arch Rebar

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Rebar and the translation is 91% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский • ‎svenska • ‎українська

Arch Rebar.svg Arch Bewehrungsstab

Menüeintrag
Arch → Bewehrungsstab
Arbeitsbereich
Arch-Modul
Standardtastenkürzel
R B
In der Version eingeführt
-
Siehe auch
Arch Struktur, Reinforcement Addon


Beschreibung

Das Bewehrungsstab-Werkzeug erlaubt es, Bewehrungsstäbe in Struktur-Objekten zu platzieren.

Bewehrungsstab-Objekte basieren auf 2D-Profilen wie Entwurfsobjekten oder Skizzen, die auf einer Fläche des Strukturobjekts gezeichnet werden müssen. Du kannst dann die Konfiguration der Bewehrungsstäbe anpassen, wie Anzahl und Durchmesser der Stäbe oder den Abstand zwischen ihnen und den beiden Enden des Strukturelements.

Arch Rebar example.jpg

Ein Strukturelement mit zwei Skizzen auf den Flächen, die dann in zwei Sätze von Bewehrungsstab-Objekten umgewandelt werden


Erweiterung verfügbar

Das Bewehrungsstab-Objekt wurde durch das Reinforcement Addon erweitert, das über den Addon-Manager installiert wird. Die zusätzlich verfügbaren Bewehrungsstab-Typen des Addons sind:

Anwendung

  1. Erstelle ein Arch Structure.svg Struktur-Element
  2. Wechsle zum Sketcher-Arbeitsbereich
  3. Wähle eine Fläche des Strukturelements
  4. Drücke die Sketcher NewSketch.png Neue Skizze-Schaltfläche, um eine neue Skizze auf der gewählten Fläche zu erstellen
  5. Zeichne die Form auf Deinen Balken
  6. Drücke die Sketcher LeaveSketch.png Skizze verlassen-Schaltfläche zum Beenden
  7. Wechsle zurück zum Arch-Arbeitsbereich
  8. Wähle die gerade gezeichnete Skizze
  9. Drücke die Arch Rebar.svg Bewehrungsstab-Schaltfläche oder drücke die Tasten R, dann B
  10. Passe die gewünschten Eigenschaften an (Dein Bewehrungsstab wird ggf. nicht sofort erscheinen, wenn einige der Eigenschaften Grenzwerte über-/unterschreiten, wie z.B. ein Durchmesser des Stabes von 0 oder wenn die Abstände von den Enden größer sind als die Länge des Strukturelements)

Obwohl ein Bewehrungsstab normalerweise in einem Architekturelement verwendet wird, kann er seit FreeCAD v0.19 auch außerhalb eines Host-Objekts erstellt werden. Um einen Bewehrungsstab in einem Objekt zu platzieren, muss einfach nur dessen DATAHost gesetzt werden.

Optionen

  • Bewehrungsstäbe haben die gleichen Eigenschaften und das gleiche Verhalten aller Arch-Komponenten
  • Der Verrundungswert wird als Vielfaches des Durchmessers ausgedrückt. Wenn Dein Stab einen Durchmesser von 5 mm hat, wird ein Verrundungswert von 3 zu einem Radius von 15 mm in den Ecken führen.
  • Standardwerte für neue Bewehrungsstäbe können in den Arch-Einstellungsdialogen gesetzt werden.
  • Falls ein Richtungsvektor nicht angegeben wurde, werden die Werte für Richtung und Abstand zwischen den Stäben automatisch abhängig vom Strukturobjekt berechnet, indem die normale Ausrichtung der Basisskizze und der Schnittpunkt mit dem Strukturobjekt genommen werden. Wenn Du einen Richtungsvektor angibst, wird die Länge des Vektor ebenfalls berücksichtigt.
  • Der Abstandswert wird aus der aktuellen Anzahl von Stäben berechnet und stellt den Abstand zwischen den Achsen der Stäbe dar. Du musst daher den Stabdurchmesser subtrahieren, um die Größe des freien Raums zwischen den Stäben zu erhalten.

Eigenschaften

  • Daten-EigenschaftAmount: Die Anzahl von Stäben.
  • Daten-EigenschaftDiameter: Der Durchmesser der Stäbe.
  • Daten-EigenschaftDirection: Die Richtung (und Länge), über die die Stäbe verteilt werden müssen. Wenn der Wert (0,0,0) ist, wird die Richtung automatisch abhängig vom Host-Strukturobjekt gesetzt
  • Daten-EigenschaftOffset Start: Der Abstand zwischen dem Rand des Strukturobjekts und dem ersten Stab.
  • Daten-EigenschaftOffset End: Der Abstand zwischen dem Rand des Strukturobjekts und dem letzten Stab.
  • Daten-EigenschaftRounding: Ein Verrundungswert in den Ecken der Stäbe, ausgedrückt als das Vielfache des Durchmessers.
  • Daten-EigenschaftSpacing: Der Abstand zwischen den Achsen jedes Stabs.

Scripting

Siehe auch: Arch API und FreeCAD Scripting Basics.

Das Bewehrungsstab-Werkzeug kann in Makros und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

Rebar = makeRebar(baseobj=None, sketch=None, diameter=None, amount=1, offset=None, name="Rebar")
  • Erstellt ein Rebar-Objekt aus dem gegebenen baseobj-Objekt, das eine Struktur-Objekt ist und ein sketch als Profil.
    • diameter, amount und offset werden verwendet, um die Charakteristiken der Stäbe zu definieren.
  • Falls diameter (Durchmesser), amount (Menge) oder offset (Abstand) nicht angegeben sind, werden die Standardwerte aus den Arch-Einstellungen verwendet.

Beispiel:

import FreeCAD, Arch, Part

Structure = Arch.makeStructure(None, length=1000, width=1000, height=3000)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

p1 = FreeCAD.Vector(-400, 400, 0)
p2 = FreeCAD.Vector(400, 400, 0)
Sketch = FreeCAD.ActiveDocument.addObject('Sketcher::SketchObject', 'Sketch')
Sketch.MapMode = "FlatFace"
Sketch.Support = [(Structure, "Face6")]
Sketch.addGeometry(Part.LineSegment(p1, p2))
FreeCAD.ActiveDocument.recompute()

Rebar = Arch.makeRebar(Structure, Sketch, diameter=80, amount=7, offset=50)
Rebar.OffsetStart = 100
Rebar.OffsetEnd = 100
FreeCAD.ActiveDocument.recompute()